SDL_x11modes.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_x11modes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_DisplayData
struct | SDL_DisplayModeData

## Functions

int | X11_InitModes (_THIS)
void | X11_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | X11_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
void | X11_QuitModes (_THIS)
int | X11_GetVisualInfoFromVisual (Display *display, Visual *visual, XVisualInfo *vinfo)
Uint32 | X11_GetPixelFormatFromVisualInfo (Display *display, XVisualInfo *vinfo)
int | X11_GetDisplayBounds (_THIS, SDL_VideoDisplay *sdl_display, SDL_Rect *rect)
int | X11_GetDisplayDPI (_THIS, SDL_VideoDisplay *sdl_display, float *ddpi, float *hdpi, float *vdpi)

## Function Documentation

int X11_GetDisplayBounds | ( | _THIS | ,
|  | SDL_VideoDisplay * | sdl_display,
|  | SDL_Rect * | rect
| ) |  |

int X11_GetDisplayDPI | ( | _THIS | ,
|  | SDL_VideoDisplay * | sdl_display,
|  | float * | ddpi,
|  | float * | hdpi,
|  | float * | vdpi
| ) |  |

void X11_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

Uint32 X11_GetPixelFormatFromVisualInfo | ( | Display * | display,
|  | XVisualInfo * | vinfo
| ) |  |

int X11_GetVisualInfoFromVisual | ( | Display * | display,
|  | Visual * | visual,
|  | XVisualInfo * | vinfo
| ) |  |

int X11_InitModes | ( | _THIS |  | ) |

void X11_QuitModes | ( | _THIS |  | ) |

int X11_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |